package com.sunxung.factoring.entity.signconfirmation;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.customerinformation.ElectronicSignaturePersonal;
import com.sunxung.factoring.entity.project.Project;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * --销售合同审核人员信息历史表
 * </p>
 *
 * @author liutao
 * @since 2023-05-16
 */
@TableName("sign_confirmation")
public class SignConfirmation extends Project {

    private static final long serialVersionUID = 1L;

    /**
     * 业务编号
     */
    @TableField("business_number")
    private String businessNumber;

    /**
     * 业务名称
     */
    @TableField("business_name")
    private String businessName;

    /**
     * 核心企业Id
     */
    @TableField("enterprise_customer_info_id")
    private Long enterpriseCustomerInfoId;

    /**
     * 来源
     */
    @TableField("comeFrom")
    private String comeFrom;

    /**
     * 状态
     */
    @TableField("status_id")
    private Long statusId;

    /**
     * 合同链接
     */
    @TableField("contract_link")
    private String contractLink;

    /**
     * 客户合同链接短连接
     */
    @TableField("short_contract_link")
    private String shortContractLink;

    /**
     * 短链接创建时间
     */
    @TableField("short_contract_link_create")
    private Date shortContractLinkCreate;

    /**
     * 签署结论 1完成
     */
    @TableField("sign_conclusion")
    private Integer signConclusion;

    /**
     * 说明
     */
    @TableField("remark")
    private String remark;

    /**
     * 上个节点的ID
     */
    @TableField("approval_id")
    private Long approvalId;

    public Long getApprovalId() {
        return approvalId;
    }

    public void setApprovalId(Long approvalId) {
        this.approvalId = approvalId;
    }

    @TableField(exist = false)
    private String taskId;

    @TableField(exist = false)
    private List<SignConfirmationElectronicInfo> signConfirmationElectronicInfos;

    @TableField(exist = false)
    private ElectronicSignaturePersonal electronicSignaturePersonal;

    public ElectronicSignaturePersonal getElectronicSignaturePersonal() {
        return electronicSignaturePersonal;
    }

    public void setElectronicSignaturePersonal(ElectronicSignaturePersonal electronicSignaturePersonal) {
        this.electronicSignaturePersonal = electronicSignaturePersonal;
    }

    public List<SignConfirmationElectronicInfo> getSignConfirmationElectronicInfos() {
        return signConfirmationElectronicInfos;
    }

    public void setSignConfirmationElectronicInfos(List<SignConfirmationElectronicInfo> signConfirmationElectronicInfos) {
        this.signConfirmationElectronicInfos = signConfirmationElectronicInfos;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public SignConfirmation() {
    }

    public SignConfirmation(String businessNumber, String businessName, Long enterpriseCustomerInfoId, String comeFrom, Long statusId) {
        this.businessNumber = businessNumber;
        this.businessName = businessName;
        this.enterpriseCustomerInfoId = enterpriseCustomerInfoId;
        this.comeFrom = comeFrom;
        this.statusId = statusId;
    }

    @Override
    public String getBusinessNumber() {
        return businessNumber;
    }

    @Override
    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }
    @Override
    public String getBusinessName() {
        return businessName;
    }

    @Override
    public void setBusinessName(String businessName) {
        this.businessName = businessName;
    }
    public Long getEnterpriseCustomerInfoId() {
        return enterpriseCustomerInfoId;
    }

    public void setEnterpriseCustomerInfoId(Long enterpriseCustomerInfoId) {
        this.enterpriseCustomerInfoId = enterpriseCustomerInfoId;
    }
    public String getComeFrom() {
        return comeFrom;
    }

    public void setComeFrom(String comeFrom) {
        this.comeFrom = comeFrom;
    }
    public Long getStatusId() {
        return statusId;
    }

    public void setStatusId(Long statusId) {
        this.statusId = statusId;
    }
    public String getContractLink() {
        return contractLink;
    }

    public void setContractLink(String contractLink) {
        this.contractLink = contractLink;
    }
    public String getShortContractLink() {
        return shortContractLink;
    }

    public void setShortContractLink(String shortContractLink) {
        this.shortContractLink = shortContractLink;
    }

    public Date getShortContractLinkCreate() {
        return shortContractLinkCreate;
    }

    public void setShortContractLinkCreate(Date shortContractLinkCreate) {
        this.shortContractLinkCreate = shortContractLinkCreate;
    }

    public Integer getSignConclusion() {
        return signConclusion;
    }

    public void setSignConclusion(Integer signConclusion) {
        this.signConclusion = signConclusion;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "SignConfirmation{" +
            "businessNumber=" + businessNumber +
            ", businessName=" + businessName +
            ", enterpriseCustomerInfoId=" + enterpriseCustomerInfoId +
            ", comeFrom=" + comeFrom +
            ", statusId=" + statusId +
            ", contractLink=" + contractLink +
            ", shortContractLink=" + shortContractLink +
            ", shortContractLinkCreate=" + shortContractLinkCreate +
            ", signConclusion=" + signConclusion +
            ", remark=" + remark +
        "}";
    }
}
